﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports;

namespace ActiveReportsEnityFramework
{
    public partial class _Default : System.Web.UI.Page
    {
        Sample_Database1Entities _db = new Sample_Database1Entities();
		GrapeCity.ActiveReports.PageReport definition;
        protected void Page_Load(object sender, EventArgs e)
        {
			string rptPath = Server.MapPath("PageReport2.rdlx");
			definition = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(rptPath));
			definition.Document.LocateDataSource += new LocateDataSourceEventHandler(runt_LocateDataSource);
			WebViewer1.Report = definition;
        }

		void runt_LocateDataSource(object sender, GrapeCity.ActiveReports.LocateDataSourceEventArgs args)
		{           
            int id = (int)args.Report.Parameters[0].CurrentValue;
			var collect = _db.Students.Where(r => r.StudentID == id);
			args.Data = collect.ToList();
			
		}
    }
}
